package com.ruoyi.framework.recovery.mapper;

import java.util.List;
import com.ruoyi.framework.recovery.domain.RecBrand;

/**
 * 回收品牌Mapper接口
 * 
 * @author jin
 * @date 2024-11-16
 */
public interface RecBrandMapper 
{
    /**
     * 查询回收品牌
     * 
     * @param id 回收品牌主键
     * @return 回收品牌
     */
    public RecBrand selectRecBrandById(Long id);

    /**
     * 查询回收品牌列表
     * 
     * @param recBrand 回收品牌
     * @return 回收品牌集合
     */
    public List<RecBrand> selectRecBrandList(RecBrand recBrand);

    /**
     * 新增回收品牌
     * 
     * @param recBrand 回收品牌
     * @return 结果
     */
    public int insertRecBrand(RecBrand recBrand);

    /**
     * 修改回收品牌
     * 
     * @param recBrand 回收品牌
     * @return 结果
     */
    public int updateRecBrand(RecBrand recBrand);

    /**
     * 删除回收品牌
     * 
     * @param id 回收品牌主键
     * @return 结果
     */
    public int deleteRecBrandById(Long id);

    /**
     * 批量删除回收品牌
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecBrandByIds(Long[] ids);
}
